## cal-logcheck-database 0.58

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2014 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
MPACKNAME=logcheck
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
ETCMPACKDIR=/etc/$(MPACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	install -d $(DESTDIR)$(ETCMPACKDIR)/ignore.d.paranoid 
	install -d $(DESTDIR)$(ETCMPACKDIR)/ignore.d.server 
	install -d $(DESTDIR)$(ETCMPACKDIR)/ignore.d.workstation
	install -d $(DESTDIR)$(ETCMPACKDIR)/violations.d
	install -d $(DESTDIR)$(ETCMPACKDIR)/violations.ignore.d
	install -d $(DESTDIR)$(ETCMPACKDIR)/cracking.ignore.d
	install -m600 ignore.d.paranoid/*    $(DESTDIR)$(ETCMPACKDIR)/ignore.d.paranoid
	install -m600 ignore.d.server/*      $(DESTDIR)$(ETCMPACKDIR)/ignore.d.server
	install -m600 ignore.d.workstation/* $(DESTDIR)$(ETCMPACKDIR)/ignore.d.workstation
	install -m600 violations.d/*	     $(DESTDIR)$(ETCMPACKDIR)/violations.d
	install -m600 violations.ignore.d/*  $(DESTDIR)$(ETCMPACKDIR)/violations.ignore.d
	#install -m600 cracking.ignore.d/*    $(DESTDIR)$(ETCMPACKDIR)/cracking.ignore.d
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
cal-logcheck-database (0.58) squeeze; urgency=low

  * cal-logcheck-ssh, cal-logcheck-snmp: Novo IP de um nagios temporário.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 18 Dec 2014 18:06:42 +0000

cal-logcheck-database (0.57) squeeze; urgency=low

  * cal-logcheck-ssh: Adicionado o IPv4 do tera.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 17 Nov 2014 14:53:10 +0000

cal-logcheck-database (0.56) squeeze; urgency=low

  * cal-logcheck-ssh: Adicionado o IPv6 do tera.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 23 Oct 2014 20:28:29 +0100

cal-logcheck-database (0.55) squeeze; urgency=low

  * cal-logcheck-ssh: Adicionados os diversos IPv6 do suporte.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 23 Oct 2014 20:01:22 +0100

cal-logcheck-database (0.54) squeeze; urgency=low

  * cal-logcheck-ssh: add 193.136.132.129.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 23 Sep 2014 13:05:47 +0100

cal-logcheck-database (0.53) squeeze; urgency=low

  * cal-logcheck-chef: chef-client manipulates ciistadmin user on every
    run.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 18 Sep 2014 20:54:35 +0100

cal-logcheck-database (0.52) squeeze; urgency=low

  * cal-logcheck-ssh: add suport for chef date format.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 18 Sep 2014 20:20:15 +0100

cal-logcheck-database (0.51) squeeze; urgency=low

  * cal-logcheck-smart: Increase range of ignored messages for 190
    Airflow_Temperature_Cel.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 22 Nov 2013 12:15:49 +0000

cal-logcheck-database (0.50) squeeze; urgency=low

  * Ignore "smartd: /dev/.*, offline data collection was suspended by an
    interrupting command from host"...
  * Bump Standards Version no changes where made.
  * Clean lintian warnings.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 30 May 2013 16:37:55 +0100

cal-logcheck-database (0.49) squeeze; urgency=low

  * New build.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 30 May 2013 13:04:11 +0100

cal-logcheck-database (0.48) squeeze; urgency=low

  * Update makefile to version 0.24.
  * Update debian/rules to version 0.24.
  * Ignore ssh connects from nagios server on campus Alameda and Tagus.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 30 May 2013 12:52:32 +0100

cal-logcheck-database (0.47) squeeze; urgency=low

  * Ignore snmpd messages from new catci and nagios server at Tagus,
    193.136.166.25.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 15 Oct 2012 15:46:00 +0100

cal-logcheck-database (0.46) squeeze; urgency=low

  * Update Makefile to version 0.20~rc1.
  * cal-logcheck-smart-ibm.disabled: Ignore safe values for "2
    Throughput_Performance" and "8 Seek_Time_Performance"

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 24 Jul 2012 14:58:27 +0100

cal-logcheck-database (0.45) updates; urgency=low

  * cal-logcheck-smart, cal-logcheck-smart-ibm.disabled: update for SAT
    disks.
  * cal-logcheck-cron: ignore exit code from grandchild.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 15 Apr 2012 18:26:17 +0100

cal-logcheck-database (0.44) updates; urgency=low

  * cal-logcheck-dhcp3: ignore messages "incoming update is less critical
    than outgoing update" as usually are not an error.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 11 Aug 2011 18:51:44 +0100

cal-logcheck-database (0.43) updates; urgency=low

  * Revert changes on previous version 0.42

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 15 Jun 2011 20:18:18 +0100

cal-logcheck-database (0.42) updates; urgency=low

  * cal-logcheck-snmpd: added tests machine scout.ist.utl.pt 193.136.128.15.
  * cal-logcheck-ssh: added tests machine scout.ist.utl.pt 193.136.128.15
    and zenoos monitoring software.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 15 Jun 2011 20:00:16 +0100

cal-logcheck-database (0.41) updates; urgency=low

  * Makefile updated to v0.17
  * Add entry for IBM/Hitachi disk under a Megaraid controller

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 17 Apr 2011 22:54:50 +0100

cal-logcheck-database (0.40) updates; urgency=low

  * cal-logcheck-snmpd: updated for snmpd on squeeze
  * Makefile updated to version 0.17

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 17 Mar 2011 14:53:11 +0000

cal-logcheck-database (0.39) updates; urgency=low

  * Makefile updated
  * Ignore connection close by ssh from rute (193.136.166.11)

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 07 Feb 2011 15:58:51 +0000

cal-logcheck-database (0.38) updates; urgency=low

  * cal-logcheck-smart: ignore more safe values of 1 Raw_Read_Error_Rate

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 19 Oct 2010 12:52:57 +0100

cal-logcheck-database (0.37) updates; urgency=low

  * cal-logcheck-smart: increase range of safe values for 190
    Airflow_Temperature_Cel
  * Makefile updated

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 19 Oct 2010 12:26:18 +0100

cal-logcheck-database (0.36) unstable; urgency=low

  * cal-logcheck-dhpc3: ignore messages from v 3.1.x about status of IP pool.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 15 Sep 2010 14:23:49 +0100

cal-logcheck-database (0.35) updates; urgency=low

  * cal-logcheck-smart: 
    * ignore high safe values of 195 Hardware_ECC_Recovered
    * ignore safe values of 8 Seek_Time_Performance
    * ignore safe values of 1 Raw_Read_Error_Rate
    * ignore safe values of 190 Airflow_Temperature_Cel
  * Changes to the package
    * Bump Standards-Version to 3.8.4.0 no changes needed
    * Translate control file from Portuguese to English
    * debhelper mode 5
    * Changing owner group files /etc/logcheck/* to logcheck is now done in
      postinst

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 28 Jun 2010 00:00:29 +0100

cal-logcheck-database (0.34) updates; urgency=low



=== debian/control ===
Source: cal-logcheck-database
Section: admin
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.9.4.0

Package: cal-logcheck-database
Architecture: all
Depends: ${misc:Depends}
Description: extra database of system rules for log checker
 Ignore less dangerous messages and give examples on how to build 
 personalized rules for the local requirements.
 .
 Ignore less dangerous messages from smartmontools.
 .
 Ignore connections from authorized amanda server, cacti and nagios.
 .
 Extra rules that are not well fitted to be in logcheck-database.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.24

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
#CATEG=other_sources



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) configure
	touch $@


build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-arch
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-indep
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/conffiles

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 


# Build architecture-independent files here.
#binary-indep: build-indep install
binary-arch: build-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build-arch install
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cal-logcheck-database 0.63

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Copyrigth: 2005-2014 Instituto Superior Técnico
+# Copyrigth: 2005-2014,2017 Instituto Superior Técnico
 # Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
 
 # License: GPL2+ with OpenSSL exception
 
 
-# "based" on template Makefile for most debian packages version 0.24
+# "based" on template Makefile for most debian packages version 0.28
 
 PACKNAME=$(shell dh_listpackages)
 MPACKNAME=logcheck
@@ -19,7 +19,7 @@
 else
 NATIVE=0
 endif
-MDIST=squeeze
+MDIST=jessie
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -56,6 +56,8 @@
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
 
 
+include /usr/share/quilt/quilt.make
+
 unpack:unpack-up-stamp
 unpack-up-stamp:
 	#unzip $(ZIPFILE)
@@ -66,6 +68,7 @@
 	touch unpack-up-stamp
 
 
+#configure:unpack debian/stamp-patched configure-up-stamp
 configure:unpack configure-up-stamp
 configure-up-stamp:
 	touch configure-up-stamp
@@ -102,6 +105,7 @@
 
 
 clean:
+	make unpatch || rm debian/stamp-patched
 	find -name '*~' -exec rm {} \;
 	rm -rf $(ZIPDIR) untar build-dir
 	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp
@@ -130,11 +134,11 @@
 	# Non native package
 	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
 	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
-	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
-	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
+	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
+	cd .. && svn add $(DISTFILE)
 else
 	# native package
-	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
+	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
 	cd .. && svn add $(DISTFILE)
 endif
 
@@ -155,10 +159,11 @@
 tag:
 	cd .. ; svn add $(DISTFILES) ;\
 		echo $(PWD)
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
+	cd .. ; svn add --force \
+			$(SOURCENAME)_$(DEBVER)_*.changes \
 			$(SOURCENAME)_$(DEBVER)_*.build \
 			$(SOURCENAME)_$(DEBVER).dsc
-	cd .. ; svn add *_$(DEBVER)_*.deb
+	cd .. ; svn add --force *_$(DEBVER)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
 	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
 		$(DISTFILES) \

=== debian/changelog ===
cal-logcheck-database (0.63) jessie; urgency=medium

  * cal-logcheck-cron: More entries for Chef time stamp.
  * cal-logcheck-ssh: Entries for stretch from suporte.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 19 Jul 2017 16:59:50 +0100

cal-logcheck-database (0.62) jessie; urgency=medium

  * cal-logcheck-snmpd: Ignore /sys/kernel/debug/tracing errors.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 07 Jul 2017 18:34:24 +0100

cal-logcheck-database (0.61) jessie; urgency=medium

  * cal-logcheck-snmpd: Ignore messages that occur on systems with VLANs.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 23 Jun 2017 15:26:22 +0100

cal-logcheck-database (0.60) jessie; urgency=medium

  * Update Makefile to version 0.28.
  * cal-logcheck-cron: Updated for timestamps of
    2017-06-21T08:02:03.168032+01:00

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 21 Jun 2017 10:36:57 +0100

cal-logcheck-database (0.59) jessie; urgency=medium

  * cal-logcheck-snmpd: New servers and snmpds from jessie.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 08 Jun 2017 19:07:31 +0100
